
  <!DOCTYPE html>
  <html>
    <head>
      <title>Heading.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/Heading/Heading.tsx</td><td class="">96.77%</td><td class="">80%</td><td class="">31</td><td class="">30</td><td class="">1</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React from &#x27;react&#x27;;
import clsx from &#x27;clsx&#x27;;

import s from &#x27;./Heading.module.scss&#x27;;

import { BaseComponent } from &#x27;../../utils/BaseComponent&#x27;;
import { HeadingVariant } from &#x27;./types&#x27;;

type Head = &#x27;h1&#x27; | &#x27;h2&#x27; | &#x27;h3&#x27; | &#x27;h4&#x27; | &#x27;h5&#x27; | &#x27;h6&#x27;;

export interface HeadingProps extends BaseComponent {
  variant?: HeadingVariant;
}

export const Heading: React.FC&lt;HeadingProps&gt; = ({
  className,
  variant = &#x27;h1&#x27;,
  children
}) =&gt; {
  const Component = variant as Head;
  return (
    &lt;Component
      className={clsx(s.Heading, s[`Heading_size_${variant}`], className)}
    &gt;
      {children}
    &lt;/Component&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/components/Heading/Heading.tsx&quot;,&quot;line&quot;:19,&quot;character&quot;:20,&quot;text&quot;:&quot;variant as Head&quot;,&quot;kind&quot;:3}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  